\name{finney71}

\alias{finney71}

\docType{data}

\title{Example from Finney (1971)}

\description{
  For each of six concentration of an insecticid the number of insects affected (out of the number of insects)
  was recorded.
}

\usage{data(finney71)}

\format{
  A data frame with 6 observations on the following 3 variables.
  \describe{
    \item{\code{dose}}{a numeric vector}
    \item{\code{total}}{a numeric vector}
    \item{\code{affected}}{a numeric vector}
  }
}

%\details{}

\source{
   Finney, D. J. (1971) \emph{Probit Analysis}, Cambridge: Cambridge University Press.
}

%\references{}

\examples{

## Model with ED50 as a parameter
finney71.m1 <- drm(affected/total~dose, weights=total,
data=finney71, fct=LL.2(), type="binomial")

summary(finney71.m1)
plot(finney71.m1, conLevel = 0.1, broken=TRUE, lwd = 2)

ED(finney71.m1, c(10, 20, 50), ci="delta", reference="control")

## Model fitted with 'glm'
#fitl.glm <- glm(cbind(affected, total-affected) ~ log(dose),
#family=binomial(link = logit), data=finney71[finney71$dose != 0, ])
#summary(fitl.glm)  # p-value almost agree for the b parameter
#
#xp <- dose.p(fitl.glm, p=c(0.50, 0.90, 0.95))  # from MASS
#xp.ci <- xp + attr(xp, "SE") %*% matrix(qnorm(1 - 0.05/2)*c(-1,1), nrow=1)
#zp.est <- exp(cbind(xp.ci[,1],xp,xp.ci[,2]))
#dimnames(zp.est)[[2]] <- c("zp.lcl","zp","zp.ucl")
#zp.est  # not far from above results with 'ED'

## Model with log(ED50) as a parameter
finney71.m2 <- drm(affected/total~dose, weights=total,
data=finney71, fct=LL2.2(), type="binomial")

## Confidence intervals based on back-transformation
##  complete agreement with results based on 'glm'
ED(finney71.m2, c(10, 20, 50), ci="fls", reference="control")

}
\keyword{datasets}
